"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var link_1 = require("../components/link");
var colors_1 = require("../utils/colors");
var styles = {
    h1: {
        fontSize: '1.875em',
    },
    h2: {
        fontSize: '1.5em',
        fontWeight: 400,
    },
    h3: {
        fontSize: '1.17em',
    },
};
var AnchorIcon = styled_components_1.default.i(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n    opacity: ", ";\n    &:hover {\n        opacity: ", ";\n    }\n    font-size: 20px;\n    transform: rotate(45deg);\n    cursor: pointer;\n"], ["\n    opacity: ", ";\n    &:hover {\n        opacity: ", ";\n    }\n    font-size: 20px;\n    transform: rotate(45deg);\n    cursor: pointer;\n"])), function (props) { return (props.shouldShowAnchor ? 1 : 0); }, function (props) { return (props.shouldShowAnchor ? 0.6 : 0); });
var AnchorTitle = /** @class */ (function (_super) {
    __extends(AnchorTitle, _super);
    function AnchorTitle() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AnchorTitle.prototype.render = function () {
        return (React.createElement("div", { className: "relative flex", style: __assign({}, styles[this.props.headerSize], { fontWeight: 'bold', display: 'block', WebkitMarginStart: 0, WebkitMarginEnd: 0 }) },
            React.createElement("div", { className: "inline-block", style: { paddingRight: 4, color: colors_1.colors.darkestGrey } }, this.props.title),
            !this.props.isDisabled && (React.createElement(link_1.Link, { to: this.props.id },
                React.createElement(AnchorIcon, { className: "zmdi zmdi-link", shouldShowAnchor: this.props.shouldShowAnchor })))));
    };
    AnchorTitle.defaultProps = {
        isDisabled: false,
    };
    return AnchorTitle;
}(React.Component));
exports.AnchorTitle = AnchorTitle;
var templateObject_1;
//# sourceMappingURL=anchor_title.js.map