import * as React from 'react';
import { HeaderSizes } from '../types';
export interface MarkdownSectionProps {
    sectionName: string;
    markdownContent: string;
    headerSize?: HeaderSizes;
    githubLink?: string;
    alternativeSectionTitle?: string;
}
export interface MarkdownSectionState {
    shouldShowAnchor: boolean;
}
export declare class MarkdownSection extends React.Component<MarkdownSectionProps, MarkdownSectionState> {
    static defaultProps: Partial<MarkdownSectionProps>;
    constructor(props: MarkdownSectionProps);
    render(): React.ReactNode;
    private _setAnchorVisibility;
}
//# sourceMappingURL=markdown_section.d.ts.map